Bug 124091 - Can't dual boot with Fedora Core 1
Can't dual boot with Fedora Core 1
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-05-23 18:13 EDT by Runar Ingebrigtsen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-08 11:24:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Runar Ingebrigtsen 2004-05-23 18:13:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
I had Fedora Core 1 installed and wanted to have FC2 installed at the 
same time, at a separate partition.

I could choose between installing FC2 or upgrading the installed (and 
detected) FC1. I chose new installation.

When I was to configure grub, I got options whether to modify the 
existing grub, no change, and to do a new grub install. I've tried 
both modification and new grub, both result in a single line grub 
menu with only Fedora Core 2 as an option.

In other words, FC2 won't dual boot with FC1.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install FC1
2. Install FC2 - choose new installation
3. Reboot

Actual Results:  I was not able to boot FC1 anymore, only FC2. Had to 
use rescue CD to recover data.

Expected Results:  I should have been able to choose between FC1 and 
FC2 at boot time.

Additional info:

Had to use the rescue CD and manually configure grub. Why isn't there 
a tool to "recover lost Linux-installations boot option" in grub?
Comment 1 Jeremy Katz 2004-06-08 11:24:10 EDT
This isn't really a supported configuration.  You can do it by
chainloading a second boot partition, but it's not something that can
really be sanely supported (in addition to being a fairly niche use case)

Note You need to log in before you can comment on or make changes to this bug.